### Method

# GLib Sequence sort

since: 2.14

#### Declaration

    void
    g_sequence_sort (
      GSequence* seq,
      GCompareDataFunc cmp_func,
      gpointer cmp_data
    )

#### Description

Sorts `seq` using `cmp_func`.

`cmp_func` is passed two items of `seq` and should return 0 if they are equal, a negative value if the first comes before the second, and a positive value if the second comes before the first.

Available since: 2.14

#### Parameters

`cmp_func`

  Type: `GCompareDataFunc`

  The function used to sort the sequence.

`cmp_data`

  Type: `gpointer`

  User data passed to `cmp_func`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.